com.mysql.cj.util

## Enum SaslPrep.StringType

- java.lang.Object
- - java.lang.Enum<SaslPrep.StringType>
  - - com.mysql.cj.util.SaslPrep.StringType

All Implemented Interfaces:
  Serializable, Comparable<SaslPrep.StringType>

Enclosing class:
  SaslPrep

    public static enum SaslPrep.StringType
    extends Enum<SaslPrep.StringType>

The type of string usage regarding the support for unassigned code points as described in RFC 3454, Section 7.

### Enum Constant Summary

Enum Constants
`QUERY` Queries for matching strings MAY contain unassigned code points.
`STORED` Stored strings using the profile MUST NOT contain any unassigned code points.

### Method Summary

All Methods Static Methods Concrete Methods
`static SaslPrep.StringType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SaslPrep.StringType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STORED

    public static final SaslPrep.StringType STORED

Stored strings using the profile MUST NOT contain any unassigned code points.

#### QUERY

    public static final SaslPrep.StringType QUERY

Queries for matching strings MAY contain unassigned code points.

### Method Detail

#### values

    public static SaslPrep.StringType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SaslPrep.StringType c : SaslPrep.StringType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SaslPrep.StringType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 2016, 2026, Oracle and/or its affiliates.